﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_UNWFLOG') 
 CREATE TABLE T_MSMOD_UNWFLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FWFSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNWFMODE NVARCHAR(50) DEFAULT 'M' NOT NULL,
FSRCENTITYKEY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCFID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCFID_TAG NCLOB,
FSRCBILLNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLNO_TAG NCLOB,
FOPERATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECUTEINFO NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTRACEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSTATUS CHAR(1) DEFAULT 'S' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_UNWFLOG_MATCH') 
 CREATE TABLE T_MSMOD_UNWFLOG_MATCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWFTYPE BIGINT DEFAULT 0 NOT NULL,
FMATCHSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FMATCHCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATCHCONDITION_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSMOD_UNWFLOG_TASK') 
 CREATE TABLE T_MSMOD_UNWFLOG_TASK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTASKNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBRANCHCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKCLASS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSINESSID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKEXECINFO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKEXECTIME DATETIME,
FTASKFINISHTIME DATETIME,
FTASKSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FREQINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQINFO_TAG NCLOB
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSCOMMON_table.sql **/
